#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    int n , s, x, r_manje, r_vise, z, y, t, t_min, t_max;
    cin >> n >> x;
    t_max = x;
    t_min = x;
    for(int i=0;i<n;i++)
    {
        cin >> t ;
        if(t<x){
            t_min = min(t,t_min);
        }
        if(t>x){
            t_max = max(t,t_max);
        }        
    }
    r_manje = x - t_min;
    r_vise = t_max - x; 
    z = min(r_manje,r_vise);
    y = max(r_manje,r_vise);
    s = 2*z + y;
    cout<< s<<endl;
    return (0);
}